fields:
    base:
        label: offline.mall::lang.general_settings.base
        type: section

    admin_email:
        label: offline.mall::lang.general_settings.admin_email
        span: auto
        type: text
        comment: offline.mall::lang.general_settings.admin_email_comment

    index_driver:
        label: offline.mall::lang.general_settings.index_driver
        span: auto
        type: dropdown
        comment: offline.mall::lang.general_settings.index_driver_comment
        options:
            database: offline.mall::lang.general_settings.index_driver_database
            filesystem: offline.mall::lang.general_settings.index_driver_filesystem

    index_hint:
        span: right
        type: partial
        path: $/offline/mall/models/settings/_index_hint.htm

    links:
        label: offline.mall::lang.general_settings.links
        comment: offline.mall::lang.general_settings.links_comment
        type: section

    product_page:
        label: offline.mall::lang.general_settings.product_page
        span: left
        type: dropdown
        comment: offline.mall::lang.general_settings.product_page_comment

    category_page:
        label: offline.mall::lang.general_settings.category_page
        span: right
        type: dropdown
        comment: offline.mall::lang.general_settings.category_page_comment

    address_page:
        label: offline.mall::lang.general_settings.address_page
        span: left
        type: dropdown
        comment: offline.mall::lang.general_settings.address_page_comment

    checkout_page:
        label: offline.mall::lang.general_settings.checkout_page
        span: right
        type: dropdown
        comment: offline.mall::lang.general_settings.checkout_page_comment

    account_page:
        label: offline.mall::lang.general_settings.account_page
        span: left
        type: dropdown
        comment: offline.mall::lang.general_settings.account_page_comment

    cart_page:
        label: offline.mall::lang.general_settings.cart_page
        span: right
        type: dropdown
        comment: offline.mall::lang.general_settings.cart_page_comment

    customizations:
        label: offline.mall::lang.general_settings.customizations
        comment: offline.mall::lang.general_settings.customizations_comment
        type: section

    redirect_to_cart:
        label: offline.mall::lang.general_settings.redirect_to_cart
        span: left
        type: switch
        default: true
        comment: offline.mall::lang.general_settings.redirect_to_cart_comment

    order_start:
        label: offline.mall::lang.general_settings.order_number_start
        comment: offline.mall::lang.general_settings.order_number_start_comment
        type: text
        span: right
        default: 1

    use_state:
        label: offline.mall::lang.general_settings.use_state
        span: left
        type: switch
        default: 1
        comment: offline.mall::lang.general_settings.use_state_comment

    group_search_results_by_product:
        label: offline.mall::lang.general_settings.group_search_results_by_product
        span: left
        type: switch
        default: 0
        comment: offline.mall::lang.general_settings.group_search_results_by_product_comment

    shipping_selection_before_payment:
        label: offline.mall::lang.general_settings.shipping_selection_before_payment
        span: left
        type: switch
        default: 0
        comment: offline.mall::lang.general_settings.shipping_selection_before_payment_comment